// Generated by org.apache.clerezza.rdf.schemagen.SchemaGen
package org.apache.clerezza.rdf.ontologies;

import org.apache.clerezza.rdf.core.UriRef;

public class DC {

	// Properties

	/**
	 * description: Examples of a Contributor include a person, an organization, or a service. Typically, the name of a Contributor should be used to indicate the entity.
comment: An entity responsible for making contributions to the resource.
note: A second property with the same name as this property has been declared in the dcterms: namespace (http://purl.org/dc/terms/).  See the Introduction to the document "DCMI Metadata Terms" (http://dublincore.org/documents/dcmi-terms/) for an explanation.

	 */
	public static final UriRef contributor = new UriRef("http://purl.org/dc/elements/1.1/contributor");

	/**
	 * description: Spatial topic and spatial applicability may be a named place or a location specified by its geographic coordinates. Temporal topic may be a named period, date, or date range. A jurisdiction may be a named administrative entity or a geographic place to which the resource applies. Recommended best practice is to use a controlled vocabulary such as the Thesaurus of Geographic Names [TGN]. Where appropriate, named places or time periods can be used in preference to numeric identifiers such as sets of coordinates or date ranges.
comment: The spatial or temporal topic of the resource, the spatial applicability of the resource, or the jurisdiction under which the resource is relevant.
note: A second property with the same name as this property has been declared in the dcterms: namespace (http://purl.org/dc/terms/).  See the Introduction to the document "DCMI Metadata Terms" (http://dublincore.org/documents/dcmi-terms/) for an explanation.

	 */
	public static final UriRef coverage = new UriRef("http://purl.org/dc/elements/1.1/coverage");

	/**
	 * description: Examples of a Creator include a person, an organization, or a service. Typically, the name of a Creator should be used to indicate the entity.
comment: An entity primarily responsible for making the resource.
note: A second property with the same name as this property has been declared in the dcterms: namespace (http://purl.org/dc/terms/).  See the Introduction to the document "DCMI Metadata Terms" (http://dublincore.org/documents/dcmi-terms/) for an explanation.

	 */
	public static final UriRef creator = new UriRef("http://purl.org/dc/elements/1.1/creator");

	/**
	 * description: Date may be used to express temporal information at any level of granularity.  Recommended best practice is to use an encoding scheme, such as the W3CDTF profile of ISO 8601 [W3CDTF].
comment: A point or period of time associated with an event in the lifecycle of the resource.
note: A second property with the same name as this property has been declared in the dcterms: namespace (http://purl.org/dc/terms/).  See the Introduction to the document "DCMI Metadata Terms" (http://dublincore.org/documents/dcmi-terms/) for an explanation.

	 */
	public static final UriRef date = new UriRef("http://purl.org/dc/elements/1.1/date");

	/**
	 * description: Description may include but is not limited to: an abstract, a table of contents, a graphical representation, or a free-text account of the resource.
comment: An account of the resource.
note: A second property with the same name as this property has been declared in the dcterms: namespace (http://purl.org/dc/terms/).  See the Introduction to the document "DCMI Metadata Terms" (http://dublincore.org/documents/dcmi-terms/) for an explanation.

	 */
	public static final UriRef description = new UriRef("http://purl.org/dc/elements/1.1/description");

	/**
	 * description: Examples of dimensions include size and duration. Recommended best practice is to use a controlled vocabulary such as the list of Internet Media Types [MIME].
comment: The file format, physical medium, or dimensions of the resource.
note: A second property with the same name as this property has been declared in the dcterms: namespace (http://purl.org/dc/terms/).  See the Introduction to the document "DCMI Metadata Terms" (http://dublincore.org/documents/dcmi-terms/) for an explanation.

	 */
	public static final UriRef format = new UriRef("http://purl.org/dc/elements/1.1/format");

	/**
	 * description: Recommended best practice is to identify the resource by means of a string conforming to a formal identification system. 
comment: An unambiguous reference to the resource within a given context.
note: A second property with the same name as this property has been declared in the dcterms: namespace (http://purl.org/dc/terms/).  See the Introduction to the document "DCMI Metadata Terms" (http://dublincore.org/documents/dcmi-terms/) for an explanation.

	 */
	public static final UriRef identifier = new UriRef("http://purl.org/dc/elements/1.1/identifier");

	/**
	 * description: Recommended best practice is to use a controlled vocabulary such as RFC 4646 [RFC4646].
comment: A language of the resource.
note: A second property with the same name as this property has been declared in the dcterms: namespace (http://purl.org/dc/terms/).  See the Introduction to the document "DCMI Metadata Terms" (http://dublincore.org/documents/dcmi-terms/) for an explanation.

	 */
	public static final UriRef language = new UriRef("http://purl.org/dc/elements/1.1/language");

	/**
	 * description: Examples of a Publisher include a person, an organization, or a service. Typically, the name of a Publisher should be used to indicate the entity.
comment: An entity responsible for making the resource available.
note: A second property with the same name as this property has been declared in the dcterms: namespace (http://purl.org/dc/terms/).  See the Introduction to the document "DCMI Metadata Terms" (http://dublincore.org/documents/dcmi-terms/) for an explanation.

	 */
	public static final UriRef publisher = new UriRef("http://purl.org/dc/elements/1.1/publisher");

	/**
	 * description: Recommended best practice is to identify the related resource by means of a string conforming to a formal identification system. 
comment: A related resource.
note: A second property with the same name as this property has been declared in the dcterms: namespace (http://purl.org/dc/terms/).  See the Introduction to the document "DCMI Metadata Terms" (http://dublincore.org/documents/dcmi-terms/) for an explanation.

	 */
	public static final UriRef relation = new UriRef("http://purl.org/dc/elements/1.1/relation");

	/**
	 * description: Typically, rights information includes a statement about various property rights associated with the resource, including intellectual property rights.
comment: Information about rights held in and over the resource.
note: A second property with the same name as this property has been declared in the dcterms: namespace (http://purl.org/dc/terms/).  See the Introduction to the document "DCMI Metadata Terms" (http://dublincore.org/documents/dcmi-terms/) for an explanation.

	 */
	public static final UriRef rights = new UriRef("http://purl.org/dc/elements/1.1/rights");

	/**
	 * description: The described resource may be derived from the related resource in whole or in part. Recommended best practice is to identify the related resource by means of a string conforming to a formal identification system.
comment: A related resource from which the described resource is derived.
note: A second property with the same name as this property has been declared in the dcterms: namespace (http://purl.org/dc/terms/).  See the Introduction to the document "DCMI Metadata Terms" (http://dublincore.org/documents/dcmi-terms/) for an explanation.

	 */
	public static final UriRef source = new UriRef("http://purl.org/dc/elements/1.1/source");

	/**
	 * description: Typically, the subject will be represented using keywords, key phrases, or classification codes. Recommended best practice is to use a controlled vocabulary. To describe the spatial or temporal topic of the resource, use the Coverage element.
comment: The topic of the resource.
note: A second property with the same name as this property has been declared in the dcterms: namespace (http://purl.org/dc/terms/).  See the Introduction to the document "DCMI Metadata Terms" (http://dublincore.org/documents/dcmi-terms/) for an explanation.

	 */
	public static final UriRef subject = new UriRef("http://purl.org/dc/elements/1.1/subject");

	/**
	 * comment: A name given to the resource.
note: A second property with the same name as this property has been declared in the dcterms: namespace (http://purl.org/dc/terms/).  See the Introduction to the document "DCMI Metadata Terms" (http://dublincore.org/documents/dcmi-terms/) for an explanation.

	 */
	public static final UriRef title = new UriRef("http://purl.org/dc/elements/1.1/title");

	/**
	 * description: Recommended best practice is to use a controlled vocabulary such as the DCMI Type Vocabulary [DCMITYPE]. To describe the file format, physical medium, or dimensions of the resource, use the Format element.
comment: The nature or genre of the resource.
note: A second property with the same name as this property has been declared in the dcterms: namespace (http://purl.org/dc/terms/).  See the Introduction to the document "DCMI Metadata Terms" (http://dublincore.org/documents/dcmi-terms/) for an explanation.

	 */
	public static final UriRef type = new UriRef("http://purl.org/dc/elements/1.1/type");
}
