// Generated by org.apache.clerezza.rdf.schemagen.SchemaGen
package org.apache.clerezza.rdf.ontologies;

import org.apache.clerezza.rdf.core.UriRef;

public class EXIF {
	// Classes

	/**
	 * comment: An Image File Directory

	 */
	public static final UriRef IFD = new UriRef("http://www.w3.org/2003/12/exif/ns#IFD");

	// Properties

	/**
	 * comment: An Exif tag whose meaning is not known

	 */
	public static final UriRef _unknown = new UriRef("http://www.w3.org/2003/12/exif/ns#_unknown");

	/**
	 * comment: The lens aperture. The unit is the APEX value.
comment: レンズ絞り値（APEX値）。この値のルート2のベキ乗を取ると、通常の絞り値となる。例えば'5'の場合だと√2^5=F5.6

	 */
	public static final UriRef apertureValue = new UriRef("http://www.w3.org/2003/12/exif/ns#apertureValue");

	/**
	 * comment: Person who created the image

	 */
	public static final UriRef artist = new UriRef("http://www.w3.org/2003/12/exif/ns#artist");

	/**
	 * comment: The number of bits per image component. In this standard each component of the image is 8 bits, so the value for this tag is 8. See also SamplesPerPixel. In JPEG compressed data a JPEG marker is used instead of this tag.

	 */
	public static final UriRef bitsPerSample = new UriRef("http://www.w3.org/2003/12/exif/ns#bitsPerSample");

	/**
	 * comment: The value of brightness. The unit is the APEX value. Ordinarily it is given in the range of -99.99 to 99.99. Note that if the numerator of the recorded value is FFFFFFFF.H, Unknown shall be indicated.
comment: 画像撮影時の撮影対象物の明るさ（APEX値）。EVにするにはISO感度の値を足す必要があり、Ev:Exposure, Bv:BrightnessValue, Sv:SensitivityValueとしてEv=Bv+Sv Sv=log^2(ISOSpeedRating/3.125)という計算式を使う。ISO感度100の場合Sv=5、ISO200の場合Sv=6、ISO125ではSv=5.32

	 */
	public static final UriRef brightnessValue = new UriRef("http://www.w3.org/2003/12/exif/ns#brightnessValue");

	/**
	 * comment: The color filter array (CFA) geometric pattern of the image sensor when a one-chip color area sensor is used. It does not apply to all sensing methods.
comment: CCDに付いているColor filter array(CFA)のパターン。例えば普通のRGBフィルターだと、CFAPatternのデータは 02 02 00 01 01 02

	 */
	public static final UriRef cfaPattern = new UriRef("http://www.w3.org/2003/12/exif/ns#cfaPattern");

	/**
	 * comment: The color space information tag (ColorSpace) is always recorded as the color space specifier. Normally sRGB (=1) is used to define the color space based on the PC monitor conditions and environment.
comment: 使われる色空間。通常sRGB

	 */
	public static final UriRef colorSpace = new UriRef("http://www.w3.org/2003/12/exif/ns#colorSpace");

	/**
	 * comment: Information specific to compressed data. The channels of each component are arranged in order from the 1st component to the 4th. For uncompressed data the data arrangement is given in the PhotometricInterpretation tag. However, since PhotometricInterpretation can only express the order of Y,Cb and Cr, this tag is provided for cases when compressed data uses components other than Y, Cb, and Cr and to enable support of other sequences.
comment: 圧縮データがYCC以外の並びの場合、4バイトでその並びを示す。それぞれの値は0:not exist,1:Y,2:Cb,3:Cr,4:R,5:G,6:B

	 */
	public static final UriRef componentsConfiguration = new UriRef("http://www.w3.org/2003/12/exif/ns#componentsConfiguration");

	/**
	 * comment: 画像の圧縮率
comment: Information specific to compressed data. The compression mode used for a compressed image is indicated in unit bits per pixel.

	 */
	public static final UriRef compressedBitsPerPixel = new UriRef("http://www.w3.org/2003/12/exif/ns#compressedBitsPerPixel");

	/**
	 * comment: The compression scheme used for the image data. When a primary image is JPEG compressed, this designation is not necessary and is omitted. When thumbnails use JPEG compression, this tag value is set to 6.

	 */
	public static final UriRef compression = new UriRef("http://www.w3.org/2003/12/exif/ns#compression");

	/**
	 * comment: The direction of contrast processing applied by the camera when the image was shot.

	 */
	public static final UriRef contrast = new UriRef("http://www.w3.org/2003/12/exif/ns#contrast");

	/**
	 * comment: Copyright information. In this standard the tag is used to indicate both the photographer and editor copyrights. It is the copyright notice of the person or organization claiming rights to the image.
comment: この画像の撮影者および編集者の著作権情報

	 */
	public static final UriRef copyright = new UriRef("http://www.w3.org/2003/12/exif/ns#copyright");

	/**
	 * comment: 特別なレンダリング処理を行っているかどうか
comment: The use of special processing on image data, such as rendering geared to output. When special processing is performed, the reader is expected to disable or minimize any further processing.

	 */
	public static final UriRef customRendered = new UriRef("http://www.w3.org/2003/12/exif/ns#customRendered");

	/**
	 * comment: The Exif field data type, such as ascii, byte, short etc.

	 */
	public static final UriRef datatype = new UriRef("http://www.w3.org/2003/12/exif/ns#datatype");

	/**
	 * comment: a date information. Usually saved as YYYY:MM:DD (HH:MM:SS) format in Exif data, but represented here as W3C-DTF format

	 */
	public static final UriRef date = new UriRef("http://www.w3.org/2003/12/exif/ns#date");

	/**
	 * comment: An attribute relating to Date and/or Time

	 */
	public static final UriRef dateAndOrTime = new UriRef("http://www.w3.org/2003/12/exif/ns#dateAndOrTime");

	/**
	 * comment: この画像が作成（あるいは最後に変更された）日時。通常はDateTimeOriginaと同じ値
comment: The date and time of image creation. In this standard it is the date and time the file was changed.

	 */
	public static final UriRef dateTime = new UriRef("http://www.w3.org/2003/12/exif/ns#dateTime");

	/**
	 * comment: 画像がデジタル化された日時。デジカメ画像なら通常DateTimeOriginalと同じ値
comment: The date and time when the image was stored as digital data. If, for example, an image was captured by DSC and at the same time the file was recorded, then the DateTimeOriginal and DateTimeDigitized will have the same contents.

	 */
	public static final UriRef dateTimeDigitized = new UriRef("http://www.w3.org/2003/12/exif/ns#dateTimeDigitized");

	/**
	 * comment: オリジナル画像が作成（撮影）された日時
comment: The date and time when the original image data was generated. For a DSC the date and time the picture was taken are recorded.

	 */
	public static final UriRef dateTimeOriginal = new UriRef("http://www.w3.org/2003/12/exif/ns#dateTimeOriginal");

	/**
	 * comment: Information on the picture-taking conditions of a particular camera model. The tag is used only to indicate the picture-taking conditions in the reader.

	 */
	public static final UriRef deviceSettingDescription = new UriRef("http://www.w3.org/2003/12/exif/ns#deviceSettingDescription");

	/**
	 * comment: デジタルズームが使われた場合、その比率
comment: The digital zoom ratio when the image was shot. If the numerator of the recorded value is 0, this indicates that digital zoom was not used.

	 */
	public static final UriRef digitalZoomRatio = new UriRef("http://www.w3.org/2003/12/exif/ns#digitalZoomRatio");

	/**
	 * comment: A property that connects an IFD to one of its entries. Super property which integrates all Exif tags.

	 */
	public static final UriRef exifAttribute = new UriRef("http://www.w3.org/2003/12/exif/ns#exifAttribute");

	/**
	 * comment: Exif Version
comment: Exif形式のバージョン

	 */
	public static final UriRef exifVersion = new UriRef("http://www.w3.org/2003/12/exif/ns#exifVersion");

	/**
	 * comment: Exif IFDへのポインタ
comment: A pointer to the Exif IFD, which is a set of tags for recording Exif-specific attribute information.

	 */
	public static final UriRef exif_IFD_Pointer = new UriRef("http://www.w3.org/2003/12/exif/ns#exif_IFD_Pointer");

	/**
	 * comment: An Exif IFD data entry

	 */
	public static final UriRef exifdata = new UriRef("http://www.w3.org/2003/12/exif/ns#exifdata");

	/**
	 * comment: The exposure bias. The unit is the APEX value. Ordinarily it is given in the range of -99.99 to 99.99.
comment: 撮影時の露光補正量。単位はAPEX値(EV)

	 */
	public static final UriRef exposureBiasValue = new UriRef("http://www.w3.org/2003/12/exif/ns#exposureBiasValue");

	/**
	 * comment: The exposure index selected on the camera or input device at the time the image is captured.
comment: CCD感度。データ形式が符号なし分数である事を除き、ISOSpeedRatingsと同じ

	 */
	public static final UriRef exposureIndex = new UriRef("http://www.w3.org/2003/12/exif/ns#exposureIndex");

	/**
	 * comment: 露光モード
comment: the exposure mode set when the image was shot. In auto-bracketing mode, the camera shoots a series of frames of the same scene at different exposure settings.

	 */
	public static final UriRef exposureMode = new UriRef("http://www.w3.org/2003/12/exif/ns#exposureMode");

	/**
	 * comment: 露光制御のモード
comment: The class of the program used by the camera to set exposure when the picture is taken.

	 */
	public static final UriRef exposureProgram = new UriRef("http://www.w3.org/2003/12/exif/ns#exposureProgram");

	/**
	 * comment: 露光時間（シャッター速度の逆数）。単位は秒
comment: Exposure time, given in seconds (sec).

	 */
	public static final UriRef exposureTime = new UriRef("http://www.w3.org/2003/12/exif/ns#exposureTime");

	/**
	 * comment: レンズのF値
comment: F number

	 */
	public static final UriRef fNumber = new UriRef("http://www.w3.org/2003/12/exif/ns#fNumber");

	/**
	 * comment: The image source. If a DSC recorded the image, this tag value of this tag always be set to 3, indicating that the image was recorded on a DSC.
comment: 画像がどういうデバイスから得られたか。通常3=DSC

	 */
	public static final UriRef fileSource = new UriRef("http://www.w3.org/2003/12/exif/ns#fileSource");

	/**
	 * comment: The status of flash when the image was shot.
comment: フラッシュ発光の状態

	 */
	public static final UriRef flash = new UriRef("http://www.w3.org/2003/12/exif/ns#flash");

	/**
	 * comment: The strobe energy at the time the image is captured, as measured in Beam Candle Power Seconds (BCPS).
comment: BCPSによるストロボの強度

	 */
	public static final UriRef flashEnergy = new UriRef("http://www.w3.org/2003/12/exif/ns#flashEnergy");

	/**
	 * comment: The Flashpix format version supported by a FPXR file. If the FPXR function supports Flashpix format Ver. 1.0, this is indicated similarly to ExifVersion by recording "0100" as 4-byte ASCII.

	 */
	public static final UriRef flashpixVersion = new UriRef("http://www.w3.org/2003/12/exif/ns#flashpixVersion");

	/**
	 * comment: The actual focal length of the lens, in mm. Conversion is not made to the focal length of a 35 mm film camera.
comment: レンズの焦点距離。単位はmm

	 */
	public static final UriRef focalLength = new UriRef("http://www.w3.org/2003/12/exif/ns#focalLength");

	/**
	 * comment: The equivalent focal length assuming a 35mm film camera, in mm. A value of 0 means the focal length is unknown. Note that this tag differs from the FocalLength tag.
comment: 35mm換算した焦点距離

	 */
	public static final UriRef focalLengthIn35mmFilm = new UriRef("http://www.w3.org/2003/12/exif/ns#focalLengthIn35mmFilm");

	/**
	 * comment: The unit for measuring FocalPlaneXResolution and FocalPlaneYResolution. This value is the same as the ResolutionUnit.
comment: CCD画素密度の単位

	 */
	public static final UriRef focalPlaneResolutionUnit = new UriRef("http://www.w3.org/2003/12/exif/ns#focalPlaneResolutionUnit");

	/**
	 * comment: 撮影画像のCCD位置での水平解像度。この値とFocalPlaneYResolution、FocalLengthを使うと、レンズ焦点距離の35mmカメラ換算値が計算できる。例えば200万画素機を使いVGAモードの画像を撮ったような場合はこの値はVGAの解像度でリサンプルされた値になっており、CCDの画素ピッチそのままの値ではないので注意が必要
comment: The number of pixels in the image width (X) direction per FocalPlaneResolutionUnit on the camera focal plane.

	 */
	public static final UriRef focalPlaneXResolution = new UriRef("http://www.w3.org/2003/12/exif/ns#focalPlaneXResolution");

	/**
	 * comment: 撮影画像のCCD位置での垂直解像度
comment: The number of pixels in the image height (Y) direction per FocalPlaneResolutionUnit on the camera focal plane.

	 */
	public static final UriRef focalPlaneYResolution = new UriRef("http://www.w3.org/2003/12/exif/ns#focalPlaneYResolution");

	/**
	 * comment: The degree of overall image gain adjustment.

	 */
	public static final UriRef gainControl = new UriRef("http://www.w3.org/2003/12/exif/ns#gainControl");

	/**
	 * comment: Geometric data such as latitude, longitude and altitude. Usually saved as rational number.

	 */
	public static final UriRef geo = new UriRef("http://www.w3.org/2003/12/exif/ns#geo");

	/**
	 * comment: The altitude based on the reference in GPSAltitudeRef. Altitude is expressed as one RATIONAL value. The reference unit is meters.

	 */
	public static final UriRef gpsAltitude = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsAltitude");

	/**
	 * comment: Indicates the altitude used as the reference altitude. If the reference is sea level and the altitude is above sea level, 0 is given. If the altitude is below sea level, a value of 1 is given and the altitude is indicated as an absolute value in the GPSAltitude tag. The reference unit is meters.

	 */
	public static final UriRef gpsAltitudeRef = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsAltitudeRef");

	/**
	 * comment: A character string recording the name of the GPS area. The first byte indicates the character code used, and this is followed by the name of the GPS area.

	 */
	public static final UriRef gpsAreaInformation = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsAreaInformation");

	/**
	 * comment: The GPS DOP (data degree of precision). An HDOP value is written during two-dimensional measurement, and PDOP during three-dimensional measurement.

	 */
	public static final UriRef gpsDOP = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsDOP");

	/**
	 * comment: date and time information relative to UTC (Coordinated Universal Time). The record format is "YYYY:MM:DD" while converted to W3C-DTF to use in RDF

	 */
	public static final UriRef gpsDateStamp = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsDateStamp");

	/**
	 * comment: The bearing to the destination point. The range of values is from 0.00 to 359.99.

	 */
	public static final UriRef gpsDestBearing = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsDestBearing");

	/**
	 * comment: Indicates the reference used for giving the bearing to the destination point. 'T' denotes true direction and 'M' is magnetic direction.

	 */
	public static final UriRef gpsDestBearingRef = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsDestBearingRef");

	/**
	 * comment: The distance to the destination point.

	 */
	public static final UriRef gpsDestDistance = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsDestDistance");

	/**
	 * comment: Indicates the unit used to express the distance to the destination point. 'K', 'M' and 'N' represent kilometers, miles and knots.

	 */
	public static final UriRef gpsDestDistanceRef = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsDestDistanceRef");

	/**
	 * comment: Latitude of destination, expressed as three values giving the degrees, minutes, and seconds, respectively.

	 */
	public static final UriRef gpsDestLatitude = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsDestLatitude");

	/**
	 * comment: Reference for latitude of destination

	 */
	public static final UriRef gpsDestLatitudeRef = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsDestLatitudeRef");

	/**
	 * comment: Longitude of destination, expressed as three values giving the degrees, minutes, and seconds, respectively.

	 */
	public static final UriRef gpsDestLongitude = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsDestLongitude");

	/**
	 * comment: Reference for longitude of destination

	 */
	public static final UriRef gpsDestLongitudeRef = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsDestLongitudeRef");

	/**
	 * comment: Indicates whether differential correction is applied to the GPS receiver.

	 */
	public static final UriRef gpsDifferential = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsDifferential");

	/**
	 * comment: The direction of the image when it was captured. The range of values is from 0.00 to 359.99.

	 */
	public static final UriRef gpsImgDirection = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsImgDirection");

	/**
	 * comment: The reference for giving the direction of the image when it is captured. 'T' denotes true direction and 'M' is magnetic direction.

	 */
	public static final UriRef gpsImgDirectionRef = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsImgDirectionRef");

	/**
	 * comment: An attribute relating to GPS information

	 */
	public static final UriRef gpsInfo = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsInfo");

	/**
	 * comment: A pointer to the GPS IFD, which is a set of tags for recording GPS information.
comment: GPS IFDへのポインタ

	 */
	public static final UriRef gpsInfo_IFD_Pointer = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsInfo_IFD_Pointer");

	/**
	 * comment: The latitude, expressed as three values giving the degrees, minutes, and seconds, respectively.
comment: 緯度

	 */
	public static final UriRef gpsLatitude = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsLatitude");

	/**
	 * comment: Indicates whether the latitude is north or south latitude. The ASCII value 'N' indicates north latitude, and 'S' is south latitude.
comment: 緯度の北緯もしくは南緯

	 */
	public static final UriRef gpsLatitudeRef = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsLatitudeRef");

	/**
	 * comment: 経度
comment: The longitude, expressed as three values giving the degrees, minutes, and seconds, respectively.

	 */
	public static final UriRef gpsLongitude = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsLongitude");

	/**
	 * comment: Indicates whether the longitude is east or west longitude. ASCII 'E' indicates east longitude, and 'W' is west longitude.
comment: 経度の東経もしくは西経

	 */
	public static final UriRef gpsLongitudeRef = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsLongitudeRef");

	/**
	 * comment: 測地系。日本なら'TOKYO'もしくは'WGS-84'
comment: The geodetic survey data used by the GPS receiver. If the survey data is restricted to Japan, the value of this tag is 'TOKYO' or 'WGS-84'. If a GPS Info tag is recorded, it is strongly recommended that this tag be recorded.

	 */
	public static final UriRef gpsMapDatum = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsMapDatum");

	/**
	 * comment: The GPS measurement mode. '2' means two-dimensional measurement and '3' means three-dimensional measurement is in progress.

	 */
	public static final UriRef gpsMeasureMode = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsMeasureMode");

	/**
	 * comment: A character string recording the name of the method used for location finding. The first byte indicates the character code used, and this is followed by the name of the method.

	 */
	public static final UriRef gpsProcessingMethod = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsProcessingMethod");

	/**
	 * comment: The GPS satellites used for measurements. This tag can be used to describe the number of satellites, their ID number, angle of elevation, azimuth, SNR and other information in ASCII notation. The format is not specified. If the GPS receiver is incapable of taking measurements, value of the tag shall be set to NULL.

	 */
	public static final UriRef gpsSatellites = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsSatellites");

	/**
	 * comment: The speed of GPS receiver movement.

	 */
	public static final UriRef gpsSpeed = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsSpeed");

	/**
	 * comment: The unit used to express the GPS receiver speed of movement. 'K' 'M' and 'N' represents kilometers per hour, miles per hour, and knots.

	 */
	public static final UriRef gpsSpeedRef = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsSpeedRef");

	/**
	 * comment: The status of the GPS receiver when the image is recorded. 'A' means measurement is in progress, and 'V' means the measurement is Interoperability.

	 */
	public static final UriRef gpsStatus = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsStatus");

	/**
	 * comment: The time as UTC (Coordinated Universal Time). TimeStamp is expressed as three RATIONAL values giving the hour, minute, and second.

	 */
	public static final UriRef gpsTimeStamp = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsTimeStamp");

	/**
	 * comment: The direction of GPS receiver movement. The range of values is from 0.00 to 359.99.

	 */
	public static final UriRef gpsTrack = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsTrack");

	/**
	 * comment: The reference for giving the direction of GPS receiver movement. 'T' denotes true direction and 'M' is magnetic direction.

	 */
	public static final UriRef gpsTrackRef = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsTrackRef");

	/**
	 * comment: The version of GPSInfoIFD. The version is given as 2.2.0.0. This tag is mandatory when GPSInfo tag is present.

	 */
	public static final UriRef gpsVersionID = new UriRef("http://www.w3.org/2003/12/exif/ns#gpsVersionID");

	/**
	 * comment: Height of an object

	 */
	public static final UriRef height = new UriRef("http://www.w3.org/2003/12/exif/ns#height");

	/**
	 * comment: A tag that refers a child IFD

	 */
	public static final UriRef ifdPointer = new UriRef("http://www.w3.org/2003/12/exif/ns#ifdPointer");

	/**
	 * comment: An attribute relating to Image Configuration

	 */
	public static final UriRef imageConfig = new UriRef("http://www.w3.org/2003/12/exif/ns#imageConfig");

	/**
	 * comment: An attribute relating to image data characteristics

	 */
	public static final UriRef imageDataCharacter = new UriRef("http://www.w3.org/2003/12/exif/ns#imageDataCharacter");

	/**
	 * comment: An attribute relating to image data structure

	 */
	public static final UriRef imageDataStruct = new UriRef("http://www.w3.org/2003/12/exif/ns#imageDataStruct");

	/**
	 * comment: A character string giving the title of the image. It may be a comment such as "1988 company picnic" or the like. Two-byte character codes cannot be used. When a 2-byte code is necessary, the Exif Private tag UserComment is to be used.
comment: この画像についての説明。漢字等の2バイト文字の使用は禁止

	 */
	public static final UriRef imageDescription = new UriRef("http://www.w3.org/2003/12/exif/ns#imageDescription");

	/**
	 * comment: Image height. The number of rows of image data. In JPEG compressed data a JPEG marker is used.

	 */
	public static final UriRef imageLength = new UriRef("http://www.w3.org/2003/12/exif/ns#imageLength");

	/**
	 * comment: An identifier assigned uniquely to each image. It is recorded as an ASCII string equivalent to hexadecimal notation and 128-bit fixed length.

	 */
	public static final UriRef imageUniqueID = new UriRef("http://www.w3.org/2003/12/exif/ns#imageUniqueID");

	/**
	 * comment: Image width. The number of columns of image data, equal to the number of pixels per row. In JPEG compressed data a JPEG marker is used instead of this tag.

	 */
	public static final UriRef imageWidth = new UriRef("http://www.w3.org/2003/12/exif/ns#imageWidth");

	/**
	 * comment: An attribute relating to Interoperability. Tags stored in
Interoperability IFD may be defined dependently to each Interoperability rule.

	 */
	public static final UriRef interopInfo = new UriRef("http://www.w3.org/2003/12/exif/ns#interopInfo");

	/**
	 * comment: Indicates the identification of the Interoperability rule. 'R98' = conforming to R98 file specification of Recommended Exif Interoperability Rules (ExifR98) or to DCF basic file stipulated by Design Rule for Camera File System. 'THM' = conforming to DCF thumbnail file stipulated by Design rule for Camera File System.
comment: メイン画像のInteroperability IFDで、データの内容がExifR98 v1.0準拠の場合は、'R98'の文字列。サムネィル画像のInteroperability IFDの場合は、'THM'の文字列

	 */
	public static final UriRef interoperabilityIndex = new UriRef("http://www.w3.org/2003/12/exif/ns#interoperabilityIndex");

	/**
	 * comment: データの内容がExifR98 v1.0準拠の場合は、'0100'の文字列。
comment: Interoperability Version

	 */
	public static final UriRef interoperabilityVersion = new UriRef("http://www.w3.org/2003/12/exif/ns#interoperabilityVersion");

	/**
	 * comment: Interoperability IFDへのポインタ
comment: A pointer to the Interoperability IFD, which is composed of tags storing the information to ensure the Interoperability

	 */
	public static final UriRef interoperability_IFD_Pointer = new UriRef("http://www.w3.org/2003/12/exif/ns#interoperability_IFD_Pointer");

	/**
	 * comment: CCD感度の銀塩フィルム換算値
comment: Indicates the ISO Speed and ISO Latitude of the camera or input device as specified in ISO 12232.

	 */
	public static final UriRef isoSpeedRatings = new UriRef("http://www.w3.org/2003/12/exif/ns#isoSpeedRatings");

	/**
	 * comment: The offset to the start byte (SOI) of JPEG compressed thumbnail data. This is not used for primary image JPEG data.
comment: 圧縮されたサムネイルへのオフセット

	 */
	public static final UriRef jpegInterchangeFormat = new UriRef("http://www.w3.org/2003/12/exif/ns#jpegInterchangeFormat");

	/**
	 * comment: The number of bytes of JPEG compressed thumbnail data. This is not used for primary image JPEG data.
comment: 圧縮されたサムネイルのサイズ

	 */
	public static final UriRef jpegInterchangeFormatLength = new UriRef("http://www.w3.org/2003/12/exif/ns#jpegInterchangeFormatLength");

	/**
	 * comment: Length of an object. Could be a subProperty of other general schema.

	 */
	public static final UriRef length = new UriRef("http://www.w3.org/2003/12/exif/ns#length");

	/**
	 * comment: 光源。これはマニュアルでホワイトバランスを設定した場合のモード値となる
comment: Light source such as Daylight, Tungsten, Flash etc.

	 */
	public static final UriRef lightSource = new UriRef("http://www.w3.org/2003/12/exif/ns#lightSource");

	/**
	 * comment: カメラのメーカー名。DCFでは必須
comment: Manufacturer of image input equipment

	 */
	public static final UriRef make = new UriRef("http://www.w3.org/2003/12/exif/ns#make");

	/**
	 * comment: Manufacturer notes
comment: カメラの内部情報等、メーカー依存データ

	 */
	public static final UriRef makerNote = new UriRef("http://www.w3.org/2003/12/exif/ns#makerNote");

	/**
	 * comment: The smallest F number of the lens. The unit is the APEX value. Ordinarily it is given in the range of 00.00 to 99.99, but it is not limited to this range.
comment: レンズの開放F値。ApertureValue同様、ルート2のベキ乗を取ると通常の絞り値に換算できる

	 */
	public static final UriRef maxApertureValue = new UriRef("http://www.w3.org/2003/12/exif/ns#maxApertureValue");

	/**
	 * comment: A length with unit of meter

	 */
	public static final UriRef meter = new UriRef("http://www.w3.org/2003/12/exif/ns#meter");

	/**
	 * comment: 自動露出の測光モード
comment: Metering mode, such as CenterWeightedAverage, Spot, MultiSpot,Pattern, Partial etc.

	 */
	public static final UriRef meteringMode = new UriRef("http://www.w3.org/2003/12/exif/ns#meteringMode");

	/**
	 * comment: A length with unit of mm

	 */
	public static final UriRef mm = new UriRef("http://www.w3.org/2003/12/exif/ns#mm");

	/**
	 * comment: カメラの機種名。DCFでは必須
comment: Model of image input equipment

	 */
	public static final UriRef model = new UriRef("http://www.w3.org/2003/12/exif/ns#model");

	/**
	 * comment: Indicates the Opto-Electric Conversion Function (OECF) specified in ISO 14524. OECF is the relationship between the camera optical input and the image values.

	 */
	public static final UriRef oecf = new UriRef("http://www.w3.org/2003/12/exif/ns#oecf");

	/**
	 * comment: The image orientation viewed in terms of rows and columns.
comment: 画像データがどこ(top-leftなど）を起点として、どの向きで格納されているか

	 */
	public static final UriRef orientation = new UriRef("http://www.w3.org/2003/12/exif/ns#orientation");

	/**
	 * comment: Pixel composition. In JPEG compressed data a JPEG marker is used instead of this tag.

	 */
	public static final UriRef photometricInterpretation = new UriRef("http://www.w3.org/2003/12/exif/ns#photometricInterpretation");

	/**
	 * comment: An attribute relating to Picture-Taking Conditions

	 */
	public static final UriRef pictTaking = new UriRef("http://www.w3.org/2003/12/exif/ns#pictTaking");

	/**
	 * comment: Brightness info for print image matching

	 */
	public static final UriRef pimBrightness = new UriRef("http://www.w3.org/2003/12/exif/ns#pimBrightness");

	/**
	 * comment: ColorBalance info for print image matching

	 */
	public static final UriRef pimColorBalance = new UriRef("http://www.w3.org/2003/12/exif/ns#pimColorBalance");

	/**
	 * comment: Contrast info for print image matching

	 */
	public static final UriRef pimContrast = new UriRef("http://www.w3.org/2003/12/exif/ns#pimContrast");

	/**
	 * comment: An attribute relating to print image matching

	 */
	public static final UriRef pimInfo = new UriRef("http://www.w3.org/2003/12/exif/ns#pimInfo");

	/**
	 * comment: Saturation info for print image matching

	 */
	public static final UriRef pimSaturation = new UriRef("http://www.w3.org/2003/12/exif/ns#pimSaturation");

	/**
	 * comment: Sharpness info for print image matching

	 */
	public static final UriRef pimSharpness = new UriRef("http://www.w3.org/2003/12/exif/ns#pimSharpness");

	/**
	 * comment: Information specific to compressed data. When a compressed file is recorded, the valid width of the meaningful image shall be recorded in this tag, whether or not there is padding data or a restart marker. This tag should not exist in an uncompressed file.

	 */
	public static final UriRef pixelXDimension = new UriRef("http://www.w3.org/2003/12/exif/ns#pixelXDimension");

	/**
	 * comment: Information specific to compressed data. When a compressed file is recorded, the valid height of the meaningful image shall be recorded in this tag, whether or not there is padding data or a restart marker. This tag should not exist in an uncompressed file. Since data padding is unnecessary in the vertical direction, the number of lines recorded in this valid image height tag will in fact be the same as that recorded in the SOF.

	 */
	public static final UriRef pixelYDimension = new UriRef("http://www.w3.org/2003/12/exif/ns#pixelYDimension");

	/**
	 * comment: Indicates whether pixel components are recorded in chunky or planar format. In JPEG compressed files a JPEG marker is used instead of this tag. If this field does not exist, the TIFF default of 1 (chunky) is assumed.

	 */
	public static final UriRef planarConfiguration = new UriRef("http://www.w3.org/2003/12/exif/ns#planarConfiguration");

	/**
	 * comment: 原色の色度。CCIR REcommendation 709 primariesを使っている場合は、'640/1000,330/1000,300/1000,600/1000,150/1000,60/1000'という値。通常はColorSpaceタグがあるので不要
comment: The chromaticity of the three primary colors of the image. Normally this tag is not necessary, since color space is specified in the color space information tag (ColorSpace).

	 */
	public static final UriRef primaryChromaticities = new UriRef("http://www.w3.org/2003/12/exif/ns#primaryChromaticities");

	/**
	 * comment: A pointer to the print image matching IFD

	 */
	public static final UriRef printImageMatching_IFD_Pointer = new UriRef("http://www.w3.org/2003/12/exif/ns#printImageMatching_IFD_Pointer");

	/**
	 * comment: An attribute relating to recording offset

	 */
	public static final UriRef recOffset = new UriRef("http://www.w3.org/2003/12/exif/ns#recOffset");

	/**
	 * comment: The reference black point value and reference white point value. The color space is declared in a color space information tag, with the default being the value that gives the optimal image characteristics Interoperability these conditions.
comment: 画像情報の黒点・白点値。YCbCr形式の場合、最初の２つの値がY(輝度)の黒点・白点、次がCb、最後がCrとなり、デフォルト値は'0,255,0,128,0,128'。RGB形式の場合はR、G、Bの順で黒点・白点値が並んでおり、デフォルト値は'0,255,0,255,0,255'。

	 */
	public static final UriRef referenceBlackWhite = new UriRef("http://www.w3.org/2003/12/exif/ns#referenceBlackWhite");

	/**
	 * comment: Tag Relating to Related File Information

	 */
	public static final UriRef relatedFile = new UriRef("http://www.w3.org/2003/12/exif/ns#relatedFile");

	/**
	 * comment: 画像フォーマットを'Exif JPEG Ver. 2.1'などの文字列で示す。通常はサムネィル画像に使う
comment: Related image file format

	 */
	public static final UriRef relatedImageFileFormat = new UriRef("http://www.w3.org/2003/12/exif/ns#relatedImageFileFormat");

	/**
	 * comment: Related image length
comment: 画像高。通常はサムネイル画像のInteroperability IFDに使う

	 */
	public static final UriRef relatedImageLength = new UriRef("http://www.w3.org/2003/12/exif/ns#relatedImageLength");

	/**
	 * comment: 画像幅。通常はサムネイル画像のInteroperability IFDに使う
comment: Related image width

	 */
	public static final UriRef relatedImageWidth = new UriRef("http://www.w3.org/2003/12/exif/ns#relatedImageWidth");

	/**
	 * comment: Related audio file
comment: 画像と一緒に音声録音できる機種の場合に、音声ファイルの名前

	 */
	public static final UriRef relatedSoundFile = new UriRef("http://www.w3.org/2003/12/exif/ns#relatedSoundFile");

	/**
	 * comment: a rational number representing a resolution. Could be a subProperty of other general schema.

	 */
	public static final UriRef resolution = new UriRef("http://www.w3.org/2003/12/exif/ns#resolution");

	/**
	 * comment: XResolution/YResolutionの解像度の単位
comment: The unit for measuring XResolution and YResolution. The same unit is used for both XResolution and YResolution. If the image resolution in unknown, 2 (inches) is designated.

	 */
	public static final UriRef resolutionUnit = new UriRef("http://www.w3.org/2003/12/exif/ns#resolutionUnit");

	/**
	 * comment: The number of rows per strip. This is the number of rows in the image of one strip when an image is divided into strips. With JPEG compressed data this designation is not needed and is omitted.

	 */
	public static final UriRef rowsPerStrip = new UriRef("http://www.w3.org/2003/12/exif/ns#rowsPerStrip");

	/**
	 * comment: The number of components per pixel. Since this standard applies to RGB and YCbCr images, the value set for this tag is 3. In JPEG compressed data a JPEG marker is used instead of this tag.

	 */
	public static final UriRef samplesPerPixel = new UriRef("http://www.w3.org/2003/12/exif/ns#samplesPerPixel");

	/**
	 * comment: The direction of saturation processing applied by the camera when the image was shot.

	 */
	public static final UriRef saturation = new UriRef("http://www.w3.org/2003/12/exif/ns#saturation");

	/**
	 * comment: The type of scene that was shot. It can also be used to record the mode in which the image was shot, such as Landscape, Portrait etc. Note that this differs from the scene type (SceneType) tag.

	 */
	public static final UriRef sceneCaptureType = new UriRef("http://www.w3.org/2003/12/exif/ns#sceneCaptureType");

	/**
	 * comment: The type of scene. If a DSC recorded the image, this tag value shall always be set to 1, indicating that the image was directly photographed.
comment: 画像がどうやって撮られたか。デジカメの場合は通常1=A directly photographed image

	 */
	public static final UriRef sceneType = new UriRef("http://www.w3.org/2003/12/exif/ns#sceneType");

	/**
	 * comment: a mesurement of time length with unit of second

	 */
	public static final UriRef seconds = new UriRef("http://www.w3.org/2003/12/exif/ns#seconds");

	/**
	 * comment: イメージセンサーの形式。One-chip color area sensor、Color sequential area sensor、Trilinear sensorなど
comment: The image sensor type on the camera or input device, such as One-chip color area sensor etc.

	 */
	public static final UriRef sensingMethod = new UriRef("http://www.w3.org/2003/12/exif/ns#sensingMethod");

	/**
	 * comment: The direction of sharpness processing applied by the camera when the image was shot.

	 */
	public static final UriRef sharpness = new UriRef("http://www.w3.org/2003/12/exif/ns#sharpness");

	/**
	 * comment: Shutter speed. The unit is the APEX (Additive System of Photographic Exposure) setting
comment: シャッター速度（APEX値）。この値の2のベキ乗をとって逆数にすると、通常のシャッター速度表示になる。例えば'4'の場合だと1/(2^4)=1/16秒

	 */
	public static final UriRef shutterSpeedValue = new UriRef("http://www.w3.org/2003/12/exif/ns#shutterSpeedValue");

	/**
	 * comment: The name and version of the software or firmware of the camera or image input device used to generate the image.
comment: デジカメ（もしくは入力機器）の内蔵ソフトウェア/ファームウェアの名称とバージョン

	 */
	public static final UriRef software = new UriRef("http://www.w3.org/2003/12/exif/ns#software");

	/**
	 * comment: This tag records the camera or input device spatial frequency table and SFR values in the direction of image width, image height, and diagonal direction, as specified in ISO 12233.

	 */
	public static final UriRef spatialFrequencyResponse = new UriRef("http://www.w3.org/2003/12/exif/ns#spatialFrequencyResponse");

	/**
	 * comment: Indicates the spectral sensitivity of each channel of the camera used. The tag value is an ASCII string compatible with the standard developed by the ASTM Technical committee.

	 */
	public static final UriRef spectralSensitivity = new UriRef("http://www.w3.org/2003/12/exif/ns#spectralSensitivity");

	/**
	 * comment: The total number of bytes in each strip. With JPEG compressed data this designation is not needed and is omitted.

	 */
	public static final UriRef stripByteCounts = new UriRef("http://www.w3.org/2003/12/exif/ns#stripByteCounts");

	/**
	 * comment: For each strip, the byte offset of that strip. With JPEG compressed data this designation is not needed and is omitted.

	 */
	public static final UriRef stripOffsets = new UriRef("http://www.w3.org/2003/12/exif/ns#stripOffsets");

	/**
	 * comment: DateTime subseconds

	 */
	public static final UriRef subSecTime = new UriRef("http://www.w3.org/2003/12/exif/ns#subSecTime");

	/**
	 * comment: DateTimeDigitized subseconds

	 */
	public static final UriRef subSecTimeDigitized = new UriRef("http://www.w3.org/2003/12/exif/ns#subSecTimeDigitized");

	/**
	 * comment: DateTimeOriginal subseconds

	 */
	public static final UriRef subSecTimeOriginal = new UriRef("http://www.w3.org/2003/12/exif/ns#subSecTimeOriginal");

	/**
	 * comment: The location and area of the main subject in the overall scene.
comment: 画面中の主たる被写体の位置。2値によるXY座標、3値による円、4値による長方形座標の3通りの示し方がある

	 */
	public static final UriRef subjectArea = new UriRef("http://www.w3.org/2003/12/exif/ns#subjectArea");

	/**
	 * comment: 被写体までの距離。単位はm
comment: The distance to the subject, given in meters. Note that if the numerator of the recorded value is FFFFFFFF.H, Infinity shall be indicated; and if the numerator is 0, Distance unknown shall be indicated.

	 */
	public static final UriRef subjectDistance = new UriRef("http://www.w3.org/2003/12/exif/ns#subjectDistance");

	/**
	 * comment: The distance to the subject, such as Macro, Close View or Distant View.

	 */
	public static final UriRef subjectDistanceRange = new UriRef("http://www.w3.org/2003/12/exif/ns#subjectDistanceRange");

	/**
	 * comment: 画面中の主要被写体のXY座標
comment: The location of the main subject in the scene. The value of this tag represents the pixel at the center of the main subject relative to the left edge, prior to rotation processing as per the Rotation tag. The first value indicates the X column number and second indicates the Y row number.

	 */
	public static final UriRef subjectLocation = new UriRef("http://www.w3.org/2003/12/exif/ns#subjectLocation");

	/**
	 * comment: A tag used to record fractions of seconds for a date property

	 */
	public static final UriRef subseconds = new UriRef("http://www.w3.org/2003/12/exif/ns#subseconds");

	/**
	 * comment: The Exif tag number

	 */
	public static final UriRef tag_number = new UriRef("http://www.w3.org/2003/12/exif/ns#tag_number");

	/**
	 * comment: The Exif tag number with context prefix, such as IFD type or maker name

	 */
	public static final UriRef tagid = new UriRef("http://www.w3.org/2003/12/exif/ns#tagid");

	/**
	 * comment: A transfer function for the image, described in tabular style. Normally this tag is not necessary, since color space is specified in the color space information tag (ColorSpace).

	 */
	public static final UriRef transferFunction = new UriRef("http://www.w3.org/2003/12/exif/ns#transferFunction");

	/**
	 * comment: A tag for Exif users to write keywords or comments on the image besides those in ImageDescription, and without the character code limitations of the ImageDescription tag. The character code used in the UserComment tag is identified based on an ID code in a fixed 8-byte area at the start of the tag data area.
comment: ユーザーコメント。ImageDescriptionタグと違って、こちらはJIS2バイトコード、Unicode等での記述が許されており、最初の8バイトが文字コード

	 */
	public static final UriRef userComment = new UriRef("http://www.w3.org/2003/12/exif/ns#userComment");

	/**
	 * comment: An attribute relating to User Information

	 */
	public static final UriRef userInfo = new UriRef("http://www.w3.org/2003/12/exif/ns#userInfo");

	/**
	 * comment: An attribute relating to Version

	 */
	public static final UriRef versionInfo = new UriRef("http://www.w3.org/2003/12/exif/ns#versionInfo");

	/**
	 * comment: ホワイトバランスのモード
comment: The white balance mode set when the image was shot.

	 */
	public static final UriRef whiteBalance = new UriRef("http://www.w3.org/2003/12/exif/ns#whiteBalance");

	/**
	 * comment: The chromaticity of the white point of the image. Normally this tag is not necessary, since color space is specified in the color space information tag (ColorSpace).
comment: 白点の色度。CIE Standard Illuminant D65(いわゆる昼光色の世界標準値)を使っていれば、'3127/10000,3290/10000'という値。通常はColorSpaceタグがあるので不要

	 */
	public static final UriRef whitePoint = new UriRef("http://www.w3.org/2003/12/exif/ns#whitePoint");

	/**
	 * comment: Width of an object

	 */
	public static final UriRef width = new UriRef("http://www.w3.org/2003/12/exif/ns#width");

	/**
	 * comment: The number of pixels per ResolutionUnit in the ImageWidth direction. When the image resolution is unknown, 72 [dpi] is designated.
comment: 画像の表示・印刷時の水平解像度

	 */
	public static final UriRef xResolution = new UriRef("http://www.w3.org/2003/12/exif/ns#xResolution");

	/**
	 * comment: RGB形式からYCbCr形式に変換するための3つの係数。通常は0.299、0.587、0.114という値
comment: The matrix coefficients for transformation from RGB to YCbCr image data.

	 */
	public static final UriRef yCbCrCoefficients = new UriRef("http://www.w3.org/2003/12/exif/ns#yCbCrCoefficients");

	/**
	 * comment: The position of chrominance components in relation to the luminance component. This field is designated only for JPEG compressed data or uncompressed YCbCr data.
comment: 色情報のサンプリングを間引きしている場合に、色情報のサンプルポイントがどこになるか。1='centered'なら点集合の中央、2＝'co-sited'なら点集合の原点

	 */
	public static final UriRef yCbCrPositioning = new UriRef("http://www.w3.org/2003/12/exif/ns#yCbCrPositioning");

	/**
	 * comment: The sampling ratio of chrominance components in relation to the luminance component. In JPEG compressed data a JPEG marker is used instead of this tag.

	 */
	public static final UriRef yCbCrSubSampling = new UriRef("http://www.w3.org/2003/12/exif/ns#yCbCrSubSampling");

	/**
	 * comment: 画像の表示・印刷時の垂直解像度
comment: The number of pixels per ResolutionUnit in the ImageLength direction. The same value as XResolution is designated.

	 */
	public static final UriRef yResolution = new UriRef("http://www.w3.org/2003/12/exif/ns#yResolution");

	// Properties

	/**
	 * 
	 */
	public static final UriRef ns = new UriRef("http://www.w3.org/2003/12/exif/ns");
}
