// Generated by org.apache.clerezza.rdf.schemagen.SchemaGen
package org.apache.clerezza.rdf.ontologies;

import org.apache.clerezza.rdf.core.UriRef;

public class FOAF {
	// Classes

	/**
	 * comment: An agent (eg. person, group, software or physical artifact).

	 */
	public static final UriRef Agent = new UriRef("http://xmlns.com/foaf/0.1/Agent");

	/**
	 * comment: A document.

	 */
	public static final UriRef Document = new UriRef("http://xmlns.com/foaf/0.1/Document");

	/**
	 * comment: A class of Agents.

	 */
	public static final UriRef Group = new UriRef("http://xmlns.com/foaf/0.1/Group");

	/**
	 * comment: An image.

	 */
	public static final UriRef Image = new UriRef("http://xmlns.com/foaf/0.1/Image");

	/**
	 * comment: A foaf:LabelProperty is any RDF property with texual values that serve as labels.

	 */
	public static final UriRef LabelProperty = new UriRef("http://xmlns.com/foaf/0.1/LabelProperty");

	/**
	 * comment: An online account.

	 */
	public static final UriRef OnlineAccount = new UriRef("http://xmlns.com/foaf/0.1/OnlineAccount");

	/**
	 * comment: An online chat account.

	 */
	public static final UriRef OnlineChatAccount = new UriRef("http://xmlns.com/foaf/0.1/OnlineChatAccount");

	/**
	 * comment: An online e-commerce account.

	 */
	public static final UriRef OnlineEcommerceAccount = new UriRef("http://xmlns.com/foaf/0.1/OnlineEcommerceAccount");

	/**
	 * comment: An online gaming account.

	 */
	public static final UriRef OnlineGamingAccount = new UriRef("http://xmlns.com/foaf/0.1/OnlineGamingAccount");

	/**
	 * comment: An organization.

	 */
	public static final UriRef Organization = new UriRef("http://xmlns.com/foaf/0.1/Organization");

	/**
	 * comment: A person.

	 */
	public static final UriRef Person = new UriRef("http://xmlns.com/foaf/0.1/Person");

	/**
	 * comment: A personal profile RDF document.

	 */
	public static final UriRef PersonalProfileDocument = new UriRef("http://xmlns.com/foaf/0.1/PersonalProfileDocument");

	/**
	 * comment: A project (a collective endeavour of some kind).

	 */
	public static final UriRef Project = new UriRef("http://xmlns.com/foaf/0.1/Project");

	// Properties

	/**
	 * comment: Indicates an account held by this agent.

	 */
	public static final UriRef account = new UriRef("http://xmlns.com/foaf/0.1/account");

	/**
	 * comment: Indicates the name (identifier) associated with this online account.

	 */
	public static final UriRef accountName = new UriRef("http://xmlns.com/foaf/0.1/accountName");

	/**
	 * comment: Indicates a homepage of the service provide for this online account.

	 */
	public static final UriRef accountServiceHomepage = new UriRef("http://xmlns.com/foaf/0.1/accountServiceHomepage");

	/**
	 * comment: The age in years of some agent.

	 */
	public static final UriRef age = new UriRef("http://xmlns.com/foaf/0.1/age");

	/**
	 * comment: An AIM chat ID

	 */
	public static final UriRef aimChatID = new UriRef("http://xmlns.com/foaf/0.1/aimChatID");

	/**
	 * comment: A location that something is based near, for some broadly human notion of near.

	 */
	public static final UriRef based_near = new UriRef("http://xmlns.com/foaf/0.1/based_near");

	/**
	 * comment: The birthday of this Agent, represented in mm-dd string form, eg. '12-31'.

	 */
	public static final UriRef birthday = new UriRef("http://xmlns.com/foaf/0.1/birthday");

	/**
	 * comment: A current project this person works on.

	 */
	public static final UriRef currentProject = new UriRef("http://xmlns.com/foaf/0.1/currentProject");

	/**
	 * comment: A depiction of some thing.

	 */
	public static final UriRef depiction = new UriRef("http://xmlns.com/foaf/0.1/depiction");

	/**
	 * comment: A thing depicted in this representation.

	 */
	public static final UriRef depicts = new UriRef("http://xmlns.com/foaf/0.1/depicts");

	/**
	 * comment: A checksum for the DNA of some thing. Joke.

	 */
	public static final UriRef dnaChecksum = new UriRef("http://xmlns.com/foaf/0.1/dnaChecksum");

	/**
	 * comment: The family name of some person.

	 */
	public static final UriRef familyName = new UriRef("http://xmlns.com/foaf/0.1/familyName");

	/**
	 * comment: The family name of some person.

	 */
	public static final UriRef family_name = new UriRef("http://xmlns.com/foaf/0.1/family_name");

	/**
	 * comment: The first name of a person.

	 */
	public static final UriRef firstName = new UriRef("http://xmlns.com/foaf/0.1/firstName");

	/**
	 * comment: An organization funding a project or person.

	 */
	public static final UriRef fundedBy = new UriRef("http://xmlns.com/foaf/0.1/fundedBy");

	/**
	 * comment: A textual geekcode for this person, see http://www.geekcode.com/geek.html

	 */
	public static final UriRef geekcode = new UriRef("http://xmlns.com/foaf/0.1/geekcode");

	/**
	 * comment: The gender of this Agent (typically but not necessarily 'male' or 'female').

	 */
	public static final UriRef gender = new UriRef("http://xmlns.com/foaf/0.1/gender");

	/**
	 * comment: The given name of some person.

	 */
	public static final UriRef givenName = new UriRef("http://xmlns.com/foaf/0.1/givenName");

	/**
	 * comment: The given name of some person.

	 */
	public static final UriRef givenname = new UriRef("http://xmlns.com/foaf/0.1/givenname");

	/**
	 * comment: Indicates an account held by this agent.

	 */
	public static final UriRef holdsAccount = new UriRef("http://xmlns.com/foaf/0.1/holdsAccount");

	/**
	 * comment: A homepage for some thing.

	 */
	public static final UriRef homepage = new UriRef("http://xmlns.com/foaf/0.1/homepage");

	/**
	 * comment: An ICQ chat ID

	 */
	public static final UriRef icqChatID = new UriRef("http://xmlns.com/foaf/0.1/icqChatID");

	/**
	 * comment: An image that can be used to represent some thing (ie. those depictions which are particularly representative of something, eg. one's photo on a homepage).

	 */
	public static final UriRef img = new UriRef("http://xmlns.com/foaf/0.1/img");

	/**
	 * comment: A page about a topic of interest to this person.

	 */
	public static final UriRef interest = new UriRef("http://xmlns.com/foaf/0.1/interest");

	/**
	 * comment: A document that this thing is the primary topic of.

	 */
	public static final UriRef isPrimaryTopicOf = new UriRef("http://xmlns.com/foaf/0.1/isPrimaryTopicOf");

	/**
	 * comment: A jabber ID for something.

	 */
	public static final UriRef jabberID = new UriRef("http://xmlns.com/foaf/0.1/jabberID");

	/**
	 * comment: A person known by this person (indicating some level of reciprocated interaction between the parties).

	 */
	public static final UriRef knows = new UriRef("http://xmlns.com/foaf/0.1/knows");

	/**
	 * comment: The last name of a person.

	 */
	public static final UriRef lastName = new UriRef("http://xmlns.com/foaf/0.1/lastName");

	/**
	 * comment: A logo representing some thing.

	 */
	public static final UriRef logo = new UriRef("http://xmlns.com/foaf/0.1/logo");

	/**
	 * comment: Something that was made by this agent.

	 */
	public static final UriRef made = new UriRef("http://xmlns.com/foaf/0.1/made");

	/**
	 * comment: An agent that  made this thing.

	 */
	public static final UriRef maker = new UriRef("http://xmlns.com/foaf/0.1/maker");

	/**
	 * comment: A  personal mailbox, ie. an Internet mailbox associated with exactly one owner, the first owner of this mailbox. This is a 'static inverse functional property', in that  there is (across time and change) at most one individual that ever has any particular value for foaf:mbox.

	 */
	public static final UriRef mbox = new UriRef("http://xmlns.com/foaf/0.1/mbox");

	/**
	 * comment: The sha1sum of the URI of an Internet mailbox associated with exactly one owner, the  first owner of the mailbox.

	 */
	public static final UriRef mbox_sha1sum = new UriRef("http://xmlns.com/foaf/0.1/mbox_sha1sum");

	/**
	 * comment: Indicates a member of a Group

	 */
	public static final UriRef member = new UriRef("http://xmlns.com/foaf/0.1/member");

	/**
	 * comment: Indicates the class of individuals that are a member of a Group

	 */
	public static final UriRef membershipClass = new UriRef("http://xmlns.com/foaf/0.1/membershipClass");

	/**
	 * comment: An MSN chat ID

	 */
	public static final UriRef msnChatID = new UriRef("http://xmlns.com/foaf/0.1/msnChatID");

	/**
	 * comment: A Myers Briggs (MBTI) personality classification.

	 */
	public static final UriRef myersBriggs = new UriRef("http://xmlns.com/foaf/0.1/myersBriggs");

	/**
	 * comment: A name for some thing.

	 */
	public static final UriRef name = new UriRef("http://xmlns.com/foaf/0.1/name");

	/**
	 * comment: A short informal nickname characterising an agent (includes login identifiers, IRC and other chat nicknames).

	 */
	public static final UriRef nick = new UriRef("http://xmlns.com/foaf/0.1/nick");

	/**
	 * comment: An OpenID for an Agent.

	 */
	public static final UriRef openid = new UriRef("http://xmlns.com/foaf/0.1/openid");

	/**
	 * comment: A page or document about this thing.

	 */
	public static final UriRef page = new UriRef("http://xmlns.com/foaf/0.1/page");

	/**
	 * comment: A project this person has previously worked on.

	 */
	public static final UriRef pastProject = new UriRef("http://xmlns.com/foaf/0.1/pastProject");

	/**
	 * comment: A phone,  specified using fully qualified tel: URI scheme (refs: http://www.w3.org/Addressing/schemes.html#tel).

	 */
	public static final UriRef phone = new UriRef("http://xmlns.com/foaf/0.1/phone");

	/**
	 * comment: A .plan comment, in the tradition of finger and '.plan' files.

	 */
	public static final UriRef plan = new UriRef("http://xmlns.com/foaf/0.1/plan");

	/**
	 * comment: The primary topic of some page or document.

	 */
	public static final UriRef primaryTopic = new UriRef("http://xmlns.com/foaf/0.1/primaryTopic");

	/**
	 * comment: A link to the publications of this person.

	 */
	public static final UriRef publications = new UriRef("http://xmlns.com/foaf/0.1/publications");

	/**
	 * comment: A homepage of a school attended by the person.

	 */
	public static final UriRef schoolHomepage = new UriRef("http://xmlns.com/foaf/0.1/schoolHomepage");

	/**
	 * comment: A sha1sum hash, in hex.

	 */
	public static final UriRef sha1 = new UriRef("http://xmlns.com/foaf/0.1/sha1");

	/**
	 * comment: A Skype ID

	 */
	public static final UriRef skypeID = new UriRef("http://xmlns.com/foaf/0.1/skypeID");

	/**
	 * comment: A string expressing what the user is happy for the general public (normally) to know about their current activity.

	 */
	public static final UriRef status = new UriRef("http://xmlns.com/foaf/0.1/status");

	/**
	 * comment: The surname of some person.

	 */
	public static final UriRef surname = new UriRef("http://xmlns.com/foaf/0.1/surname");

	/**
	 * comment: A theme.

	 */
	public static final UriRef theme = new UriRef("http://xmlns.com/foaf/0.1/theme");

	/**
	 * comment: A derived thumbnail image.

	 */
	public static final UriRef thumbnail = new UriRef("http://xmlns.com/foaf/0.1/thumbnail");

	/**
	 * comment: A tipjar document for this agent, describing means for payment and reward.

	 */
	public static final UriRef tipjar = new UriRef("http://xmlns.com/foaf/0.1/tipjar");

	/**
	 * comment: Title (Mr, Mrs, Ms, Dr. etc)

	 */
	public static final UriRef title = new UriRef("http://xmlns.com/foaf/0.1/title");

	/**
	 * comment: A topic of some page or document.

	 */
	public static final UriRef topic = new UriRef("http://xmlns.com/foaf/0.1/topic");

	/**
	 * comment: A thing of interest to this person.

	 */
	public static final UriRef topic_interest = new UriRef("http://xmlns.com/foaf/0.1/topic_interest");

	/**
	 * comment: A weblog of some thing (whether person, group, company etc.).

	 */
	public static final UriRef weblog = new UriRef("http://xmlns.com/foaf/0.1/weblog");

	/**
	 * comment: A work info homepage of some person; a page about their work for some organization.

	 */
	public static final UriRef workInfoHomepage = new UriRef("http://xmlns.com/foaf/0.1/workInfoHomepage");

	/**
	 * comment: A workplace homepage of some person; the homepage of an organization they work for.

	 */
	public static final UriRef workplaceHomepage = new UriRef("http://xmlns.com/foaf/0.1/workplaceHomepage");

	/**
	 * comment: A Yahoo chat ID

	 */
	public static final UriRef yahooChatID = new UriRef("http://xmlns.com/foaf/0.1/yahooChatID");

	// Properties

	/**
	 * 
	 */
	public static final UriRef THIS_ONTOLOGY = new UriRef("http://xmlns.com/foaf/0.1/");
}
