// Generated by org.apache.clerezza.rdf.schemagen.SchemaGen
package org.apache.clerezza.rdf.ontologies;

import org.apache.clerezza.rdf.core.UriRef;

public class LINGVOJ {
	// Classes

	/**
	 * comment: A language used in human communication, and singularly a language in which a resource is written or recorded. Instances defined in the lingvoj.org namespace are identified by ISO 639 codes, or tags conformant to BCP 47.

	 */
	public static final UriRef Lingvo = new UriRef("http://www.lingvoj.org/ontology#Lingvo");

	/**
	 * 
	 */
	public static final UriRef Translation = new UriRef("http://www.lingvoj.org/ontology#Translation");

	// Properties

	/**
	 * comment: As defined by http://en.wikipedia.org/wiki/Wikipedia:Babel

	 */
	public static final UriRef hasAbility1 = new UriRef("http://www.lingvoj.org/ontology#hasAbility1");

	/**
	 * comment: As defined by http://en.wikipedia.org/wiki/Wikipedia:Babel

	 */
	public static final UriRef hasAbility2 = new UriRef("http://www.lingvoj.org/ontology#hasAbility2");

	/**
	 * comment: As defined by http://en.wikipedia.org/wiki/Wikipedia:Babel

	 */
	public static final UriRef hasAbility3 = new UriRef("http://www.lingvoj.org/ontology#hasAbility3");

	/**
	 * comment: As defined by http://en.wikipedia.org/wiki/Wikipedia:Babel

	 */
	public static final UriRef hasAbility4 = new UriRef("http://www.lingvoj.org/ontology#hasAbility4");

	/**
	 * comment: As defined by http://en.wikipedia.org/wiki/Wikipedia:Babel

	 */
	public static final UriRef hasAbility5 = new UriRef("http://www.lingvoj.org/ontology#hasAbility5");

	/**
	 * comment: A language the organization or project uses to communicate externally.

	 */
	public static final UriRef hasCommunicationLanguage = new UriRef("http://www.lingvoj.org/ontology#hasCommunicationLanguage");

	/**
	 * comment: A language used by some member(s) of the organization or project.

	 */
	public static final UriRef hasMemberLanguage = new UriRef("http://www.lingvoj.org/ontology#hasMemberLanguage");

	/**
	 * 
	 */
	public static final UriRef hasNativeLanguage = new UriRef("http://www.lingvoj.org/ontology#hasNativeLanguage");

	/**
	 * comment: A language the project or organization uses for internal communication.

	 */
	public static final UriRef hasWorkingLanguage = new UriRef("http://www.lingvoj.org/ontology#hasWorkingLanguage");

	/**
	 * 
	 */
	public static final UriRef isLanguageOf = new UriRef("http://www.lingvoj.org/ontology#isLanguageOf");

	/**
	 * 
	 */
	public static final UriRef iso1 = new UriRef("http://www.lingvoj.org/ontology#iso1");

	/**
	 * comment: ISO 639-2 bibliographic code

	 */
	public static final UriRef iso2b = new UriRef("http://www.lingvoj.org/ontology#iso2b");

	/**
	 * comment: ISO 639-2 terminological code

	 */
	public static final UriRef iso2t = new UriRef("http://www.lingvoj.org/ontology#iso2t");

	/**
	 * 
	 */
	public static final UriRef iso3 = new UriRef("http://www.lingvoj.org/ontology#iso3");

	/**
	 * 
	 */
	public static final UriRef originalLanguage = new UriRef("http://www.lingvoj.org/ontology#originalLanguage");

	/**
	 * 
	 */
	public static final UriRef originalTitle = new UriRef("http://www.lingvoj.org/ontology#originalTitle");

	/**
	 * 
	 */
	public static final UriRef original_resource = new UriRef("http://www.lingvoj.org/ontology#original_resource");

	/**
	 * 
	 */
	public static final UriRef targetLanguage = new UriRef("http://www.lingvoj.org/ontology#targetLanguage");

	/**
	 * 
	 */
	public static final UriRef translatedResource = new UriRef("http://www.lingvoj.org/ontology#translatedResource");

	/**
	 * 
	 */
	public static final UriRef translatedTitle = new UriRef("http://www.lingvoj.org/ontology#translatedTitle");

	/**
	 * 
	 */
	public static final UriRef translator = new UriRef("http://www.lingvoj.org/ontology#translator");

	// Properties

	/**
	 * comment: An ontology for using languages as resources

	 */
	public static final UriRef ontology = new UriRef("http://www.lingvoj.org/ontology");
}
