// Generated by org.apache.clerezza.rdf.schemagen.SchemaGen
package org.apache.clerezza.rdf.ontologies;

import org.apache.clerezza.rdf.core.UriRef;

public class PERMISSION {
	// Classes

	/**
	 * definition: A base role is a set of connected
		rights that every user automatically has.

	 */
	public static final UriRef BaseRole = new UriRef("http://clerezza.org/2008/10/permission#BaseRole");

	/**
	 * definition: A permission is the right to access
		a resource or to perform a specific action

	 */
	public static final UriRef Permission = new UriRef("http://clerezza.org/2008/10/permission#Permission");

	/**
	 * definition: Describes an assignment of permissions, i.e.
	a set of roles (optionally inherited from a set of users) to a set of
	Bundles defined by one or more location patterns.

	 */
	public static final UriRef PermissionAssignment = new UriRef("http://clerezza.org/2008/10/permission#PermissionAssignment");

	/**
	 * definition: A role is a set of connected
		rights

	 */
	public static final UriRef Role = new UriRef("http://clerezza.org/2008/10/permission#Role");

	// Properties

	/**
	 * definition: Points to a location pattern against which the
	subject applies.

	 */
	public static final UriRef hasLocationPattern = new UriRef("http://clerezza.org/2008/10/permission#hasLocationPattern");

	/**
	 * definition: Points to a permission that has been
		granted to the subject

	 */
	public static final UriRef hasPermission = new UriRef("http://clerezza.org/2008/10/permission#hasPermission");

	/**
	 * definition: Points to a role whose permissions are
	granted to the bundles matching the locationPattern of the subject.

	 */
	public static final UriRef hasRole = new UriRef("http://clerezza.org/2008/10/permission#hasRole");

	/**
	 * definition: Points to a String defining the permission
	in one of the following formats: 
	(type) or (type "name") or (type "name" "actions") 
	E.g., (java.util.PropertyPermission "java.version", "read") 

	 */
	public static final UriRef javaPermissionEntry = new UriRef("http://clerezza.org/2008/10/permission#javaPermissionEntry");

	/**
	 * definition: Points to an unencoded password string.
	

	 */
	public static final UriRef password = new UriRef("http://clerezza.org/2008/10/permission#password");

	/**
	 * definition: Points to a string of hex values
	expressed using digits and the lower-case letters a-f encoding the password with the SHA1
	algorithm, for encoding the password it is expressed as sequence of utf-8 encoded
	characters of its normal form C (NFC). In Java if s is a string expressing the passwort
	in NFC, java.security.MessageDigest.getInstance("SHA1").digest(s.getBytes("UTF-8"))
	will return the sequence of bytes to be hex-encoded as value of this property.
	

	 */
	public static final UriRef passwordSha1 = new UriRef("http://clerezza.org/2008/10/permission#passwordSha1");

	/**
	 * definition: Points to an image icon representing the permission.
	

	 */
	public static final UriRef permIcon = new UriRef("http://clerezza.org/2008/10/permission#permIcon");

	// Properties

	/**
	 * 
	 */
	public static final UriRef THIS_ONTOLOGY = new UriRef("http://clerezza.org/2008/10/permission#");
}
