// Generated by org.apache.clerezza.rdf.schemagen.SchemaGen
package org.apache.clerezza.rdf.ontologies;

import org.apache.clerezza.rdf.core.UriRef;

public class SIOC {
	// Classes

	/**
	 * comment: Community is a high-level concept that defines an online community and what it consists of.

	 */
	public static final UriRef Community = new UriRef("http://rdfs.org/sioc/ns#Community");

	/**
	 * comment: An area in which content Items are contained.

	 */
	public static final UriRef Container = new UriRef("http://rdfs.org/sioc/ns#Container");

	/**
	 * comment: A discussion area on which Posts or entries are made.

	 */
	public static final UriRef Forum = new UriRef("http://rdfs.org/sioc/ns#Forum");

	/**
	 * comment: An Item is something which can be in a Container.

	 */
	public static final UriRef Item = new UriRef("http://rdfs.org/sioc/ns#Item");

	/**
	 * comment: An article or message that can be posted to a Forum.

	 */
	public static final UriRef Post = new UriRef("http://rdfs.org/sioc/ns#Post");

	/**
	 * comment: A Role is a function of a User within a scope of a particular Forum, Site, etc.

	 */
	public static final UriRef Role = new UriRef("http://rdfs.org/sioc/ns#Role");

	/**
	 * comment: A Site can be the location of an online community or set of communities, with Users and Usergroups creating Items in a set of Containers. It can be thought of as a web-accessible data Space.

	 */
	public static final UriRef Site = new UriRef("http://rdfs.org/sioc/ns#Site");

	/**
	 * comment: A Space is a place where data resides, e.g., on a website, desktop, fileshare, etc.

	 */
	public static final UriRef Space = new UriRef("http://rdfs.org/sioc/ns#Space");

	/**
	 * comment: A container for a series of threaded discussion Posts or Items.

	 */
	public static final UriRef Thread = new UriRef("http://rdfs.org/sioc/ns#Thread");

	/**
	 * comment: A User account in an online community site.

	 */
	public static final UriRef User = new UriRef("http://rdfs.org/sioc/ns#User");

	/**
	 * comment: A set of User accounts whose owners have a common purpose or interest. Can be used for access control purposes.

	 */
	public static final UriRef Usergroup = new UriRef("http://rdfs.org/sioc/ns#Usergroup");

	// Properties

	/**
	 * comment: Specifies that this Item is about a particular resource, e.g., a Post describing a book, hotel, etc.

	 */
	public static final UriRef about = new UriRef("http://rdfs.org/sioc/ns#about");

	/**
	 * comment: Refers to the foaf:Agent or foaf:Person who owns this sioc:User online account.

	 */
	public static final UriRef account_of = new UriRef("http://rdfs.org/sioc/ns#account_of");

	/**
	 * comment: A Site that the User is an administrator of.

	 */
	public static final UriRef administrator_of = new UriRef("http://rdfs.org/sioc/ns#administrator_of");

	/**
	 * comment: The URI of a file attached to an Item.

	 */
	public static final UriRef attachment = new UriRef("http://rdfs.org/sioc/ns#attachment");

	/**
	 * comment: An image or depiction used to represent this User.

	 */
	public static final UriRef avatar = new UriRef("http://rdfs.org/sioc/ns#avatar");

	/**
	 * comment: An Item that this Container contains.

	 */
	public static final UriRef container_of = new UriRef("http://rdfs.org/sioc/ns#container_of");

	/**
	 * comment: The content of the Item in plain text format.

	 */
	public static final UriRef content = new UriRef("http://rdfs.org/sioc/ns#content");

	/**
	 * comment: The encoded content of the Post, contained in CDATA areas.

	 */
	public static final UriRef content_encoded = new UriRef("http://rdfs.org/sioc/ns#content_encoded");

	/**
	 * comment: When this was created, in ISO 8601 format.

	 */
	public static final UriRef created_at = new UriRef("http://rdfs.org/sioc/ns#created_at");

	/**
	 * comment: A resource that the User is a creator of.

	 */
	public static final UriRef creator_of = new UriRef("http://rdfs.org/sioc/ns#creator_of");

	/**
	 * comment: The content of the Post.

	 */
	public static final UriRef description = new UriRef("http://rdfs.org/sioc/ns#description");

	/**
	 * comment: An electronic mail address of the User.

	 */
	public static final UriRef email = new UriRef("http://rdfs.org/sioc/ns#email");

	/**
	 * comment: An electronic mail address of the User, encoded using SHA1.

	 */
	public static final UriRef email_sha1 = new UriRef("http://rdfs.org/sioc/ns#email_sha1");

	/**
	 * comment: A feed (e.g., RSS, Atom, etc.) pertaining to this resource (e.g., for a Forum, Site, User, etc.).

	 */
	public static final UriRef feed = new UriRef("http://rdfs.org/sioc/ns#feed");

	/**
	 * comment: First (real) name of this User. Synonyms include given name or christian name.

	 */
	public static final UriRef first_name = new UriRef("http://rdfs.org/sioc/ns#first_name");

	/**
	 * comment: A User who has this Role.

	 */
	public static final UriRef function_of = new UriRef("http://rdfs.org/sioc/ns#function_of");

	/**
	 * comment: A User who is an administrator of this Site.

	 */
	public static final UriRef has_administrator = new UriRef("http://rdfs.org/sioc/ns#has_administrator");

	/**
	 * comment: The Container to which this Item belongs.

	 */
	public static final UriRef has_container = new UriRef("http://rdfs.org/sioc/ns#has_container");

	/**
	 * comment: This is the User who made this resource.

	 */
	public static final UriRef has_creator = new UriRef("http://rdfs.org/sioc/ns#has_creator");

	/**
	 * comment: A Role that this User has.

	 */
	public static final UriRef has_function = new UriRef("http://rdfs.org/sioc/ns#has_function");

	/**
	 * comment: The Site that hosts this Forum.

	 */
	public static final UriRef has_host = new UriRef("http://rdfs.org/sioc/ns#has_host");

	/**
	 * comment: A User who is a member of this Usergroup.

	 */
	public static final UriRef has_member = new UriRef("http://rdfs.org/sioc/ns#has_member");

	/**
	 * comment: A User who is a moderator of this Forum.

	 */
	public static final UriRef has_moderator = new UriRef("http://rdfs.org/sioc/ns#has_moderator");

	/**
	 * comment: A User who modified this Item.

	 */
	public static final UriRef has_modifier = new UriRef("http://rdfs.org/sioc/ns#has_modifier");

	/**
	 * comment: A User that this Container is owned by.

	 */
	public static final UriRef has_owner = new UriRef("http://rdfs.org/sioc/ns#has_owner");

	/**
	 * comment: A Container or Forum that this Container or Forum is a child of.

	 */
	public static final UriRef has_parent = new UriRef("http://rdfs.org/sioc/ns#has_parent");

	/**
	 * comment: An resource that is a part of this subject.

	 */
	public static final UriRef has_part = new UriRef("http://rdfs.org/sioc/ns#has_part");

	/**
	 * comment: Points to an Item or Post that is a reply or response to this Item or Post.

	 */
	public static final UriRef has_reply = new UriRef("http://rdfs.org/sioc/ns#has_reply");

	/**
	 * comment: A resource that this Role applies to.

	 */
	public static final UriRef has_scope = new UriRef("http://rdfs.org/sioc/ns#has_scope");

	/**
	 * comment: A data Space which this resource is a part of.

	 */
	public static final UriRef has_space = new UriRef("http://rdfs.org/sioc/ns#has_space");

	/**
	 * comment: A User who is subscribed to this Container.

	 */
	public static final UriRef has_subscriber = new UriRef("http://rdfs.org/sioc/ns#has_subscriber");

	/**
	 * comment: Points to a Usergroup that has certain access to this Space.

	 */
	public static final UriRef has_usergroup = new UriRef("http://rdfs.org/sioc/ns#has_usergroup");

	/**
	 * comment: A Forum that is hosted on this Site.

	 */
	public static final UriRef host_of = new UriRef("http://rdfs.org/sioc/ns#host_of");

	/**
	 * comment: An identifier of a SIOC concept instance. For example, a user ID. Must be unique for instances of each type of SIOC concept within the same site.

	 */
	public static final UriRef id = new UriRef("http://rdfs.org/sioc/ns#id");

	/**
	 * comment: The IP address used when creating this Item. This can be associated with a creator. Some wiki articles list the IP addresses for the creator or modifiers when the usernames are absent.

	 */
	public static final UriRef ip_address = new UriRef("http://rdfs.org/sioc/ns#ip_address");

	/**
	 * comment: Last (real) name of this user. Synonyms include surname or family name.

	 */
	public static final UriRef last_name = new UriRef("http://rdfs.org/sioc/ns#last_name");

	/**
	 * comment: A URI of a document which contains this SIOC object.

	 */
	public static final UriRef link = new UriRef("http://rdfs.org/sioc/ns#link");

	/**
	 * comment: Links extracted from hyperlinks within a SIOC concept, e.g., Post or Site.

	 */
	public static final UriRef links_to = new UriRef("http://rdfs.org/sioc/ns#links_to");

	/**
	 * comment: A Usergroup that this User is a member of.

	 */
	public static final UriRef member_of = new UriRef("http://rdfs.org/sioc/ns#member_of");

	/**
	 * comment: A Forum that User is a moderator of.

	 */
	public static final UriRef moderator_of = new UriRef("http://rdfs.org/sioc/ns#moderator_of");

	/**
	 * comment: When this was modified, in ISO 8601 format.

	 */
	public static final UriRef modified_at = new UriRef("http://rdfs.org/sioc/ns#modified_at");

	/**
	 * comment: An Item that this User has modified.

	 */
	public static final UriRef modifier_of = new UriRef("http://rdfs.org/sioc/ns#modifier_of");

	/**
	 * comment: The name of a SIOC instance, e.g. a username for a User, group name for a Usergroup, etc.

	 */
	public static final UriRef name = new UriRef("http://rdfs.org/sioc/ns#name");

	/**
	 * comment: Next Item or Post in a given Container sorted by date.

	 */
	public static final UriRef next_by_date = new UriRef("http://rdfs.org/sioc/ns#next_by_date");

	/**
	 * comment: Links to the next revision of this Item or Post.

	 */
	public static final UriRef next_version = new UriRef("http://rdfs.org/sioc/ns#next_version");

	/**
	 * comment: A note associated with this Item, for example, if it has been edited by a User.

	 */
	public static final UriRef note = new UriRef("http://rdfs.org/sioc/ns#note");

	/**
	 * comment: The number of replies that this Item, Thread, Post, etc. has. Useful for when the reply structure is absent.

	 */
	public static final UriRef num_replies = new UriRef("http://rdfs.org/sioc/ns#num_replies");

	/**
	 * comment: The number of times this Item, Thread, User profile, etc. has been viewed.

	 */
	public static final UriRef num_views = new UriRef("http://rdfs.org/sioc/ns#num_views");

	/**
	 * comment: A Container owned by a particular User, for example, a weblog or image gallery.

	 */
	public static final UriRef owner_of = new UriRef("http://rdfs.org/sioc/ns#owner_of");

	/**
	 * comment: A child Container or Forum that this Container or Forum is a parent of.

	 */
	public static final UriRef parent_of = new UriRef("http://rdfs.org/sioc/ns#parent_of");

	/**
	 * comment: A resource that the subject is a part of.

	 */
	public static final UriRef part_of = new UriRef("http://rdfs.org/sioc/ns#part_of");

	/**
	 * comment: Previous Item or Post in a given Container sorted by date.

	 */
	public static final UriRef previous_by_date = new UriRef("http://rdfs.org/sioc/ns#previous_by_date");

	/**
	 * comment: Links to a previous revision of this Item or Post.

	 */
	public static final UriRef previous_version = new UriRef("http://rdfs.org/sioc/ns#previous_version");

	/**
	 * comment: Links either created explicitly or extracted implicitly on the HTML level from the Post.

	 */
	public static final UriRef reference = new UriRef("http://rdfs.org/sioc/ns#reference");

	/**
	 * comment: Related Posts for this Post, perhaps determined implicitly from topics or references.

	 */
	public static final UriRef related_to = new UriRef("http://rdfs.org/sioc/ns#related_to");

	/**
	 * comment: Links to an Item or Post which this Item or Post is a reply to.

	 */
	public static final UriRef reply_of = new UriRef("http://rdfs.org/sioc/ns#reply_of");

	/**
	 * comment: A Role that has a scope of this resource.

	 */
	public static final UriRef scope_of = new UriRef("http://rdfs.org/sioc/ns#scope_of");

	/**
	 * comment: An Item may have a sibling or a twin that exists in a different Container, but the siblings may differ in some small way (for example, language, category, etc.). The sibling of this Item should be self-describing (that is, it should contain all available information).

	 */
	public static final UriRef sibling = new UriRef("http://rdfs.org/sioc/ns#sibling");

	/**
	 * comment: A resource which belongs to this data Space.

	 */
	public static final UriRef space_of = new UriRef("http://rdfs.org/sioc/ns#space_of");

	/**
	 * comment: Keyword(s) describing subject of the Post.

	 */
	public static final UriRef subject = new UriRef("http://rdfs.org/sioc/ns#subject");

	/**
	 * comment: A Container that a User is subscribed to.

	 */
	public static final UriRef subscriber_of = new UriRef("http://rdfs.org/sioc/ns#subscriber_of");

	/**
	 * comment: This is the title (subject line) of the Post. Note that for a Post within a threaded discussion that has no parents, it would detail the topic thread.

	 */
	public static final UriRef title = new UriRef("http://rdfs.org/sioc/ns#title");

	/**
	 * comment: A topic of interest, linking to the appropriate URI, e.g., in the Open Directory Project or of a SKOS category.

	 */
	public static final UriRef topic = new UriRef("http://rdfs.org/sioc/ns#topic");

	/**
	 * comment: A Space that the Usergroup has access to.

	 */
	public static final UriRef usergroup_of = new UriRef("http://rdfs.org/sioc/ns#usergroup_of");

	// Properties

	/**
	 * 
	 */
	public static final UriRef group_of = new UriRef("http://rdfs.org/sioc/ns#group_of");

	/**
	 * title: SIOC Core Ontology Namespace
description: SIOC (Semantically-Interlinked Online Communities) is an ontology for describing the information in online communities. 

This information can be used to export information from online communities and to link them together. The scope of the application areas that SIOC can be used for includes (and is not limited to) weblogs, message boards, mailing lists and chat channels.

	 */
	public static final UriRef THIS_ONTOLOGY = new UriRef("http://rdfs.org/sioc/ns#");

	/**
	 * 
	 */
	public static final UriRef has_group = new UriRef("http://rdfs.org/sioc/ns#has_group");
}
